cURL
curl -X POST https://api.scrapio.dev/v1/monitors \
-H "Authorization: Bearer $SCRAPIO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Widget price watch","url":"https://example.com/product/widget","cron":"0 * * * *","extract":{"price":"the current price"},"watch":{"fields":["price"]}}'import requests
url = "https://api.scrapio.dev/v1/monitors"
payload = {
"name": "Widget price watch",
"url": "https://example.com/product/widget",
"cron": "0 * * * *",
"extract": { "price": "the current price" },
"watch": { "fields": ["price"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Widget price watch',
url: 'https://example.com/product/widget',
cron: '0 * * * *',
extract: {price: 'the current price'},
watch: {fields: ['price']}
})
};
fetch('https://api.scrapio.dev/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"url": "<string>",
"mode": "fields",
"extract": {},
"cron": "<string>",
"watch": {
"fields": [
"<string>"
],
"on": "any",
"notify_on_first_run": true,
"thresholds": {},
"ignore_patterns": [
"<string>"
],
"digest_interval_minutes": 123
},
"webhook_endpoint_id": "<string>",
"active": true,
"last_run_at": "2023-11-07T05:31:56Z",
"next_run_at": "2023-11-07T05:31:56Z",
"last_digest_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Monitors
Create a monitor
Create a scheduled check on a page that notifies only when a real change is detected.
POST
/
v1
/
monitors
cURL
curl -X POST https://api.scrapio.dev/v1/monitors \
-H "Authorization: Bearer $SCRAPIO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Widget price watch","url":"https://example.com/product/widget","cron":"0 * * * *","extract":{"price":"the current price"},"watch":{"fields":["price"]}}'import requests
url = "https://api.scrapio.dev/v1/monitors"
payload = {
"name": "Widget price watch",
"url": "https://example.com/product/widget",
"cron": "0 * * * *",
"extract": { "price": "the current price" },
"watch": { "fields": ["price"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Widget price watch',
url: 'https://example.com/product/widget',
cron: '0 * * * *',
extract: {price: 'the current price'},
watch: {fields: ['price']}
})
};
fetch('https://api.scrapio.dev/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"id": "<string>",
"tenant_id": "<string>",
"name": "<string>",
"url": "<string>",
"mode": "fields",
"extract": {},
"cron": "<string>",
"watch": {
"fields": [
"<string>"
],
"on": "any",
"notify_on_first_run": true,
"thresholds": {},
"ignore_patterns": [
"<string>"
],
"digest_interval_minutes": 123
},
"webhook_endpoint_id": "<string>",
"active": true,
"last_run_at": "2023-11-07T05:31:56Z",
"next_run_at": "2023-11-07T05:31:56Z",
"last_digest_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Human-readable monitor name
Minimum string length:
1Page to check on each run
Cron expression for the check schedule
Minimum string length:
1"fields" diffs named extracted fields (default); "content" diffs the whole page as markdown
Available options:
fields, content Field schema, required for mode "fields" (e.g. {"price": "the current price"})
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Webhook endpoint to notify on a detected change
Response
Monitor created.
Available options:
fields, content Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$